Crazy Eddies GUI System: CEGUI::RenderQueue Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::RenderQueue Class Reference

Class that represents a queue of GeometryBuffer objects to be rendered. More...

List of all members.

## Public Member Functions
void | draw () const
| Draw all GeometryBuffer objects currently listed in the RenderQueue. The GeometryBuffer objects remain in the queue after drawing has taken place.
void | addGeometryBuffer (const GeometryBuffer &buffer)
| Add a GeometryBuffer to the RenderQueue. Ownership of the GeometryBuffer does not pass to the RenderQueue.
void | removeGeometryBuffer (const GeometryBuffer &buffer)
| Remove a GeometryBuffer previously queued for drawing. If the specified GeometryBuffer is not added to the queue, no action is taken. The removed GeometryBuffer is not destroyed or modified in any way.
void | reset ()
| Remove any and all queued GeometryBuffer objects and restore the queue to the default state. Any GeometryBuffer objects removed are not destroyed or modified in any way.

## Detailed Description

Class that represents a queue of GeometryBuffer objects to be rendered.

Note:
  The RenderQueue does not make copies of added GeometryBuffers, nor does it take ownership of them - it is up to other parts of the system to manage the lifetime of the GeometryBuffer objects (and to remove them from any RenderQueue to which they may be attached prior to destoying them).

## Member Function Documentation

void CEGUI::RenderQueue::addGeometryBuffer | ( | const GeometryBuffer & | buffer | ) |

Add a GeometryBuffer to the RenderQueue. Ownership of the GeometryBuffer does not pass to the RenderQueue.

Parameters:

  buffer | GeometryBuffer that is to be added to the RenderQueue for later drawing.

void CEGUI::RenderQueue::removeGeometryBuffer | ( | const GeometryBuffer & | buffer | ) |

Remove a GeometryBuffer previously queued for drawing. If the specified GeometryBuffer is not added to the queue, no action is taken. The removed GeometryBuffer is not destroyed or modified in any way.

Parameters:

  buffer | GeometryBuffer to be removed from the queue.